### Method

# Ide DebuggerLibrary add_range

#### Declaration

    void
    ide_debugger_library_add_range (
      IdeDebuggerLibrary* self,
      const IdeDebuggerAddressRange* range
    )

#### Description

Adds `range` to the list of ranges for which the library is mapped in the inferior’s address space.

Available since: | 3.32

#### Parameters

`range` | `IdeDebuggerAddressRange`
| The address range of the library.
| The data is owned by the caller of the function.